Closed Bug 408880 Opened 12 years ago Closed 12 years ago

[ru] Search Feature Tracking for Firefox 3

Categories

(Mozilla Localizations :: ru / Russian, defect)

defect
Not set

Tracking

(Not tracked)

VERIFIED FIXED

People

(Reporter: unghost, Assigned: unghost)

References

Details

Attachments

(7 files, 5 obsolete files)

16.79 KB, patch
Pike
: review+
Details | Diff | Splinter Review
763 bytes, patch
Pike
: review+
Details | Diff | Splinter Review
610 bytes, patch
Gavin
: review+
Details | Diff | Splinter Review
2.23 KB, patch
Gavin
: review+
Details | Diff | Splinter Review
1.34 KB, patch
Pike
: review+
Details | Diff | Splinter Review
2.82 KB, patch
Pike
: review+
Details | Diff | Splinter Review
2.52 KB, patch
Pike
: review+
Details | Diff | Splinter Review
Per irc discussion with Mic last week, I'd like to ask for approval for the changes of search plugins to be shipped by Firefox in Russian.

1) Remove yahoo.ru and replace it with rambler.ru

Yahoo market share in Russia is very insignificant and that search engine is virtually unknown (see http://gs.spylog.ru/r/?reportId=7&categoryId=1 for some stats). I haven't met any person in Russia using Yahoo as search engine.
Rambler is the third most popular search engine in Russia and is one of the pioneering Russian search engines that is still around, and it definitely needs to be included. Another reason that the semantics of the Russian language is very different to that of English, and Yandex and Rambler can properly account for morphology (declensional endings, tense, gender etc), which Russian language is famous for. Bug 348096 comment #35 gives some arguments for Rambler's inclusion.
Also I'd like to note, that people, that use Rambler, belong to different user group, than Yandex's users.

2) Replace lingvo.yandex.ru with slovari.yandex.ru

slovari.yandex.ru is more powerful then lingvo.yandex.ru (besides online translator it also has thesaurus)

3) Remove filesearch.ru

filesearch.ru is ftp indexing service. I think it makes little sense to keep ftp indexing service nowadays.

4) Add market.yandex.ru

Market.Yandex.ru has more wide variety of goods than Price.ru. Search on Price.ru has some flaws. You'll get only links to some proposals without description, price or photo of goods, and need to click to get description and price. On Market.Yandex.ru you will get detail specification of goods with photos and price right from search box. Also on Market.Yandex.ru you can read opinions of other people regarding this good. There are much more banners on Price.ru, than on Market.Yandex.ru.
On other side on price.ru it's possible to sort out stores by subway stations and locations. I guess it's important to provide users with choice, so I propose to include both market.yandex.ru and price.ru
Attached patch Patch v1 (obsolete) — Splinter Review
Besides changes, mentioned in comment #0, this patch also updates Yandex search plugin to last version (it was taken from Yandex front page)
in addition to opening of bug
on rambler: the demographic is apparently older. so this should qualify as a good local search provider, with a user experience that is geared towards a different demographic
for addition of market.yandex.ru
we discussed whether this would flavour the browser with too much yandex and therefore not enough user choice. adding beltzner for ui/ue review on user choice with respect to this addition.
market.yandex could be available as a plug in for users to download themselves and we flagged this to wil clouser's attention with respect to general bugs he is tracking on this topic of localized AMO environment
market.yandex.ru
reviewed with beltzner - not approved due to lack of user choice in total search plug in list 
mic, suggests looking for a different commerce provider so as to provide more user choice. 
clarification on comment #4 - should read, mic, ok with alexander's suggestion (in IRC) to find a different provider ...
Attached patch Patch v2 (obsolete) — Splinter Review
Without market.yandex.ru
Attachment #293724 - Attachment is obsolete: true
Comment on attachment 294487 [details] [diff] [review]
Patch v2

>Index: filesearchru.xml

'k

>Index: lingvo.yandex.ru.xml

'k

>Index: list.txt

'k

>Index: rambler.xml
>===================================================================
>RCS file: rambler.xml
>diff -N rambler.xml
>--- /dev/null	1 Jan 1970 00:00:00 -0000
>+++ rambler.xml	23 Dec 2007 22:54:54 -0000
>@@ -0,0 +1,8 @@
>+<SearchPlugin xmlns="http://www.mozilla.org/2006/browser/search/" xmlns:os="http://a9.com/-/spec/opensearch/1.1/">
>+<os:ShortName>Rambler</os:ShortName>
>+<os:Description>Поиск на Рамблере</os:Description>
>+<os:InputEncoding>UTF-8</os:InputEncoding>
>+<os:Image width="16" height="16">data:image/x-icon;base64,AAABAAEAEBAAAAEACABoBQAAFgAAACgAAAAQAAAAIAAAAAEACAAAAAAAQAEAAAAAAAAAAAAAAAAAAAAAAAAAAAAA////APn5+QD4+PgA6+vrAMLCwgCoqKgA3d3dANvb2wDBwcEA6urqAP39/QDS0tIAz8/PAM3NzQCrq6sAw8PDAPDw8ADx8fEAqampANDQ0ADs7OwAs7OzAOzk4ADv0KwA++nHAPzsywD569AA7unjALa2tgDHx8cA7ennAM2XVQDgsloA7tONAOvOhQDoyYAA4Lt6AOni2ACqqqoA/v7+AMXFxQDkxp8Aw3sAAN+wOgDluk8A5bZHAOO2SADVniEA4LtuAMK/uQD09PQA19fXANyyYgDanAkA7rw9APbGSwD2xUoA9cRHAOewJQDfrjsAzb6fAPb29gDkv24A7bMmAP7SXgD/2nkA/9p8AP/ZcgD5yUcA7sFSANHDogDJyckA89+wAPXBQQD/3X4A/uOeAP/lpQD/4ZUA/tVoAPvglwDGw7wAyMjIANjY2AD18+4A99qQAP3cgQD/6KUA/+26AP/knAD8454A/PjsAPn5+ADMzMwAu7u7ALGxsQDr6eUA/e7IAP7tuwD/8MwA//HMAOvp4gCwsLAA0dHRAMPCwgDY1c8A19XQAMPCwQDo6OgA7u7uAO/v7wAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAEBAW1uAQEBAAAAAAAAAAFsBQYGBgYJbAEAAAAAAAEOBgYGBgYGBgZdCwAAAAFnBgYTaGlqawYGBhQBAAEBEV5fYGFiY2RlZkgDCwEBUlMLVFVWV1hZWltcXRABKA8GSElKS0xNTk9QUQYnCz4GBjQ/QEFCQ0RFRkcGBjMzBgY0NTY3ODk6Ozw9BgY+KA8GKSorLC0uLzAxMgYnKAEeBhMfICEiIyQlJicGEAEBFQYGFhcYGRobHB0GBgQBAAEOBgYPEBESEBMGBhQBAAAACwwGBgYICAYGBg0LAAAAAAABBAUGBwgGCQoBAAAAAAAAAAEBAQIDAQEBAAAAAPAPAADgBwAAwAMAAIABAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAIABAADAAwAA4AcAAPAPAAA=</os:Image>
>+<os:Url type="text/html" method="GET" template="http://www.rambler.ru/srch?utf8=1&amp;words={searchTerms}">
>+</os:Url>
>+</SearchPlugin>
>\ No newline at end of file

No need for opensearch here, please just use the MozSearch markup. We should use Param's, too. Something like

<Url type="text/html" method="GET" template="http://www.rambler.ru/srch">
  <Param name="utf8" value="1"/>
  <Param name="words" value="{searchTerms}"/>
</Url>

should work.

Can you provide some test URLs for the input encoding? The site is in windows-1251, not sure if the utf8=1 will actually fix that.

Please add a <SearchForm>, too. And a trailing newline.

>Index: yahoo-ru.xml

'k

>Index: yandex-slovari.xml
>===================================================================
>RCS file: yandex-slovari.xml
>diff -N yandex-slovari.xml
>--- /dev/null	1 Jan 1970 00:00:00 -0000
>+++ yandex-slovari.xml	23 Dec 2007 22:54:54 -0000
>@@ -0,0 +1,8 @@
>+<SearchPlugin xmlns="http://www.mozilla.org/2006/browser/search/" xmlns:os="http://a9.com/-/spec/opensearch/1.1/">
>+<os:ShortName>Яндекс.Словари</os:ShortName>
>+<os:Description>Поиск словарных статей и определений: БСЭ, Даль, Брокгауз и более 20 других словарей. Перевод на 5 языков.</os:Description>
>+<os:InputEncoding>UTF-8</os:InputEncoding>
>+<os:Image width="16" height="16">data:image/x-icon;base64,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</os:Image>
>+<os:Url type="text/html" method="GET" template="http://slovari.yandex.ru/search.xml?text={searchTerms}&amp;from=os">
>+</os:Url>
>+</SearchPlugin>
>\ No newline at end of file

Similar comments as above, the input encoding seems to be OK, though.

>Index: yandex.xml
>===================================================================
>RCS file: /l10n/l10n/ru/browser/searchplugins/yandex.xml,v
>retrieving revision 1.2
>diff -u -8 -p -r1.2 yandex.xml
>--- yandex.xml	3 Jun 2006 19:51:27 -0000	1.2
>+++ yandex.xml	23 Dec 2007 22:54:55 -0000
>@@ -1,9 +1,8 @@
>-<SearchPlugin xmlns="http://www.mozilla.org/2006/browser/search/">
>-<ShortName>Yandex</ShortName>
>-<Description>Yandex Search</Description>
>-<InputEncoding>windows-1251</InputEncoding>
>-<Image width="16" height="16">data:image/x-icon;base64,R0lGODlhEAAQAIAAAP8BAcDAwCH5BAEAAAEALAAAAAAQABAAAAImjA+pcB1poGtSzshevhpz333Vxi3kZX6hhWbsNKqx6J7ODI/KUQAAOw==</Image>
>-<Url type="text/html" method="GET" template="http://www.yandex.ru/yandsearch?text={searchTerms}">
>-</Url>
>-<SearchForm>http://www.yandex.ru/</SearchForm>
>+<SearchPlugin xmlns="http://www.mozilla.org/2006/browser/search/" xmlns:os="http://a9.com/-/spec/opensearch/1.1/">
>+<os:ShortName>Яндекс</os:ShortName>
>+<os:Description>Воспользуйтесь Яндексом для поиска в Интернете.</os:Description>
>+<os:InputEncoding>UTF-8</os:InputEncoding>
>+<os:Image width="16" height="16">data:image/x-icon;base64,AAABAAEAEBAAAAEACABoBQAAFgAAACgAAAAQAAAAIAAAAAEACAAAAAAAAAAAAAAAAAAAAAAAAAEAAAAAAAACAv4AgoL+AD4+/gDCwv4AHh7+AJqa/gBqav4A5ub+ABIS/gBOTv4A+vr+AI6O/gAyMv4ARkb+AO7u/gAKCv4AJib+AK6u/gAaGv4Alpb+AIqK/gBCQv4A2tr+AJ6e/gBubv4A6ur+ABYW/gBWVv4A/v7+AJKS/gA2Nv4ASkr+APLy/gAODv4AKir+AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAHBwcHBwcHBwcHBwc/////xwHAggWHAUMDAYcHBz///8cHBkABhwcDSEcHBwc////HBwcEAwcHB8hHBwcHBz//xwcHAkPChwfIRwcHBwc//8cHBwBABYcHyEcHBwcHBz/HBwcAwATHB8hHBwcHBwc/xwcHBwCIg4fIRwcHBwcHBwcHBwcFwAiBCEcHBwcHBwcHBwcEQAUCh8hHBwcHBwc/xwcHAIeHBwfIRwcHBwcHP8cHBwaGxwcHyEcHBwcHP//HBwcEAkcHB8hHBwcHBz//xwcHAsSDhwfIRwcHBz///8cHBwcHQ0VBAAYHBwc////HBwcHBwcHBwcHBwc/////wAPAAAABwAPAAcABwADAAcAAwADAAEAAwABAAEAAAABAAAAAAABAAAAAQABAAMAAQADAAMABwADAAcABwAPAAc=</os:Image>
>+<os:Url type="text/html" method="GET" template="http://yandex.ru/yandsearch?text={searchTerms}&amp;from=os">
>+</os:Url>
> </SearchPlugin>
>\ No newline at end of file

Not sure why we want these changes to the existing plugin.
Attachment #294487 - Flags: review-
(In reply to comment #7)
> (From update of attachment 294487 [details] [diff] [review])
 
> No need for opensearch here, please just use the MozSearch markup. We should
> use Param's, too. Something like
> 
> <Url type="text/html" method="GET" template="http://www.rambler.ru/srch">
>   <Param name="utf8" value="1"/>
>   <Param name="words" value="{searchTerms}"/>
> </Url>
> 
> should work.
Done.

> Can you provide some test URLs for the input encoding? The site is in
> windows-1251, not sure if the utf8=1 will actually fix that.
> 
I've took this searchplugin from rambler's site, URL is http://www.rambler.ru/osd.xml 
Test urls can be for example:
http://www.rambler.ru/srch?utf8=1&words=кремль
http://www.rambler.ru/srch?utf8=1&words=германия
http://www.rambler.ru/srch?utf8=1&words=джордж+буш

> Please add a <SearchForm>, too. And a trailing newline.
Done everywhere. 

> 
> Not sure why we want these changes to the existing plugin.
> 
I've noticed that Yandex have added opensearch plugin on it's search page ( http://yandex.ru/opensearch.xml )
and thought that I should probably fix existing mozilla's plugin (update icon, description and search parameters)

Also I've updated wikipedia searchplugin (with http://mxr.mozilla.org/l10n/source/lv/browser/searchplugins/wikipedia-en.xml as example)
Attachment #294487 - Attachment is obsolete: true
Attachment #295225 - Flags: review?(l10n)
Can we get a confirmation from yandex that "from=os" actually switches the input encoding from windows-1251 to utf-8, both for their regular search and for slovari? I just want to make sure that they understand and appreciate us using that flag for that purpose.

There's a nit on all plugins, "trailing newline" does not mean a trailing empty line, but a trailing '\n'. The patch chunks should just end in

+</SearchPlugin>

with no warning from cvs. In the previous patch you had no \n after </SearchPlugin>, now you'd have two. One is the right number ;-)
Attached patch Patch v4 (obsolete) — Splinter Review
(In reply to comment #9)
> Can we get a confirmation from yandex that "from=os" actually switches the
> input encoding from windows-1251 to utf-8, both for their regular search and
> for slovari? I just want to make sure that they understand and appreciate us
> using that flag for that purpose.
>
Mic, can you please get confirmation from Yandex, please?
P.S. There are holidays in Russia till Jan.8, so answer can take some time.

> There's a nit on all plugins, "trailing newline" does not mean a trailing empty
> line, but a trailing '\n'. The patch chunks should just end in
> 
> +</SearchPlugin>
> 
> with no warning from cvs. In the previous patch you had no \n after
> </SearchPlugin>, now you'd have two. One is the right number ;-)
> 
Fixed.
Attachment #295225 - Attachment is obsolete: true
Attachment #295229 - Flags: review?(l10n)
Attachment #295225 - Flags: review?(l10n)
(In reply to comment #9)
> Can we get a confirmation from yandex that "from=os" actually switches the
> input encoding from windows-1251 to utf-8, both for their regular search and
> for slovari? I just want to make sure that they understand and appreciate us
> using that flag for that purpose.
> 
Hm, hold on. There is parameter:
<InputEncoding>UTF-8</InputEncoding>
in yandex.xml and yandex-slovari.xml
So, what's the problem? 
The problem is that they should know that we intend to use that flag for this purpose. The lifecycle management of their plugin is different to ours, so I want to be sure that they don't intend to do changes, or want us to use a different flag for reporting or somesuch.
waiting on resolution of comment 11 and 12 before i contact yandex. will do once you guys let me know how i should proceed
I want to be clear with yandex on the params, really. In particular after what happened with huuto, it's better to make sure that they know what we're doing and why.
regarding: 2) Replace lingvo.yandex.ru with slovari.yandex.ru
permission received from Roman Ivanov, Head of communcation services department, Yandex for Yandex Slovari service via email today
regarding comment 12, here is what Yandex has said (effectively not approving from=os:

No, from=os used only for statistical reasons. It is not affect input
encoding. Our search services (both slovari & main web search) accepts
UTF-8 & Windows-1251 encodings as well.

Also could you be so kind to add Suggest feature to main web search plugin?
It looks like that:
<Url type="application/x-suggestions+json" method="GET"
template="http://suggest.yandex.net/suggest-ff.cgi?part={searchTerms}"/>
Looking at more comments from yandex, we should add a

<Param name="from" value="fx3"/>

for both plugins instead of "os".
Comment on attachment 295229 [details] [diff] [review]
Patch v4

Noting the actual r- on this attachment based on previous comments.
Attachment #295229 - Flags: review?(l10n) → review-
Attached patch Patch v5Splinter Review
Add <Param name="from" value="fx3"/> for both plugins instead of "os" per comment #17.
Attachment #295229 - Attachment is obsolete: true
Attachment #296187 - Flags: review?(l10n)
Also I've added search suggestion in yandex.ru search plugin per comment #16.  
Comment on attachment 296187 [details] [diff] [review]
Patch v5

r=me for check-in on trunk.

Thanks for your patience and perseverance.
Attachment #296187 - Flags: review?(l10n) → review+
Attachment 296187 [details] [diff] has been checked-in on trunk:
Removing filesearchru.xml;
/l10n/l10n/ru/browser/searchplugins/filesearchru.xml,v  <--  filesearchru.xml
new revision: delete; previous revision: 1.2
done
Removing lingvo.yandex.ru.xml;
/l10n/l10n/ru/browser/searchplugins/lingvo.yandex.ru.xml,v  <--  lingvo.yandex.ru.xml
new revision: delete; previous revision: 1.2
done
Checking in list.txt;
/l10n/l10n/ru/browser/searchplugins/list.txt,v  <--  list.txt
new revision: 1.8; previous revision: 1.7
done
RCS file: /l10n/l10n/ru/browser/searchplugins/rambler.xml,v
done
Checking in rambler.xml;
/l10n/l10n/ru/browser/searchplugins/rambler.xml,v  <--  rambler.xml
initial revision: 1.1
done
Checking in wikipedia-ru.xml;
/l10n/l10n/ru/browser/searchplugins/wikipedia-ru.xml,v  <--  wikipedia-ru.xml
new revision: 1.3; previous revision: 1.2
done
Removing yahoo-ru.xml;
/l10n/l10n/ru/browser/searchplugins/yahoo-ru.xml,v  <--  yahoo-ru.xml
new revision: delete; previous revision: 1.3
done
RCS file: /l10n/l10n/ru/browser/searchplugins/yandex-slovari.xml,v
done
Checking in yandex-slovari.xml;
/l10n/l10n/ru/browser/searchplugins/yandex-slovari.xml,v  <--  yandex-slovari.xml
initial revision: 1.1
done
Checking in yandex.xml;
/l10n/l10n/ru/browser/searchplugins/yandex.xml,v  <--  yandex.xml
new revision: 1.3; previous revision: 1.2
done

I'm leaving bug open per comment #4 and #5. Probably we can find different commerce provider to provide more user choice. 
Status: NEW → ASSIGNED
Whiteboard: needs-mic
For Yandex search plugin I've changed <ShortName> from "Yandex" to "Яндекс", but forgot to make same change in region.properties. As result Yandex is not 2nd in list of search plugins anymore.
That patch fixes this issue.
Attachment #296427 - Flags: review?(l10n)
Comment on attachment 296427 [details] [diff] [review]
Fix browser.search.order.2 in region.properties 

r=me.
Attachment #296427 - Flags: review?(l10n) → review+
Attachment 296427 [details] [diff] has been checked-in on trunk:
Checking in chrome/browser-region/region.properties;
/l10n/l10n/ru/browser/chrome/browser-region/region.properties,v  <--  region.properties
new revision: 1.20; previous revision: 1.19
done

rambler: recieved permission from m.chekanov@rambler-co.ru on Dec 24

Hi Michal

> We can use the search plugin from your search page - it's
> http://www.rambler.ru/osd.xml .

Sure.
As webmail handler you can use this link:
http://mail.rambler.ru/mail/mail.cgi?mode=compose;mailto=

Thank you in advance. And, of course, happy new year.
--
Best regards,
Mikhail Chekanov
Blocks: fx3-l10n-ru
Attached patch Update Price.ru search engine (obsolete) — Splinter Review
I've got information that official search plugin for Price.ru is http://price.ru/opensearch-description.xml This patch updates existing search plugin for price.ru in Firefox.
I've replaced parameter "from=oss" with "from=fx3" and sent letter asking for permission to change this parameter.
Once we've got response, I'll ask for review.
Alexander - clarification on above comment 27. please either send me the permission you get from price.ru OR post their permission directly into this bug (with contact information).
thanks
received permission from price.ru and request for parameter change:

----- Original Message -----
From: skiv@price.ru
To: mic@mozilla.com
Cc: "m chekanov" <m.chekanov@rambler-co.ru>
Sent: Thursday, February 7, 2008 6:59:31 AM (GMT-0500) America/New_York
Subject: Price.ru opensearch

Good day, Michal Berman.

Can you change parameter "from=oss" to "from=fx3" in search plugin for
price.ru?

official opensearch description:
http://price.ru/opensearch-description.xml

With respect,
Alexander V. Zheleschikov.
Price Express
Whiteboard: needs-mic → needs-mic, needs-patch
Attachment #301536 - Flags: review?(l10n)
Comment on attachment 301536 [details] [diff] [review]
Update Price.ru search engine

Gavin, on this one I actually need your help. I'm not sure that we know what to do with {startPage}, and how we react on that.
Attachment #301536 - Flags: review?(l10n) → review?(gavin.sharp)
We don't support the page/index-based OpenSearch params, see http://bonsai.mozilla.org/cvsblame.cgi?file=mozilla/browser/components/search/nsSearchService.js&rev=1.108#163 . In the startPage case we'll just always send "1" as the value, so you might as well just hardcode it if it's really needed. If it isn't I would just omit it.
Mic, can you verify with price.ru that it's fine to drop the startPage as we don't support it?
Comment on attachment 301536 [details] [diff] [review]
Update Price.ru search engine

Note that the intent of the parameter is to allow clients to request a specific "page" of results - since we're just loading the page in the browser rather than exposing the results in our own search UI, we always want page 1. It's pretty unlikely that their site would depend on it, but even if it does hardcoding a "1" value should be fine.

r- for that, I guess - either remove it or hardcode "1".
Attachment #301536 - Flags: review?(gavin.sharp) → review-
will check in with price.ru on comment 32

for rambler, I have a new request:

----- Original Message -----
From: "Chekanov Michael" <m.chekanov@rambler-co.ru>
Sent: Thursday, February 7, 2008 3:48:39 PM (GMT-0500) America/New_York

Hi, Michal.

Can you add parameter "rt=pp_fx3" to request string in Rambler.ru search plugin?

Thanks in advance.
--
Best regards,
Mikhail Chekanov
Head of product marketing, Rambler Media Group
Аdd "rt=pp_fx3" to request string in Rambler.ru search plugin per comment #34
Attachment #302285 - Flags: review?(gavin.sharp)
Attachment #302285 - Flags: review?(gavin.sharp) → review+
Attachment 302285 [details] [diff] has been checked-in on trunk:
Checking in rambler.xml;
/l10n/l10n/ru/browser/searchplugins/rambler.xml,v  <--  rambler.xml
new revision: 1.2; previous revision: 1.1
done
Update Price.ru search engine with {startPage} dropped. Permission letter follows:
-------------------------------------------------------------------------
Sent: Thu, 14 Feb 2008 22:46:48 +0300
From: Chekanov Michael 
To: Michal Berman
Cc: Alexander L. Slovesnik
Subject: Re: Price.ru opensearch

Hi.

Michal, sorry for the delay. 
Sure, it's OK for Price.ru & Rambler both.
--
Best regards,
Mikhail Chekanov
Head of product marketing, Rambler Media Group

> > ----- Original Message -----
> > From: "Michal Berman" 
> > To: "Chekanov Michael" 
> > Cc: "Alexander L. Slovesnik" 
> > Sent: Sunday, February 10, 2008 5:39:46 PM (GMT-0500) America/New_York
> > Subject: Re: Price.ru opensearch
> > 
> > Michael
> > 
> > Can you verify following your recent request for search parameters,
> > that you'd be ok without the start page as we no longer support it
> > 
> > Please advise asap. If you have any questions, ping Alexander or Gavin
> > Sharp (listed in the bug)
> > 
> > thanks
> > mic
Attachment #301536 - Attachment is obsolete: true
Attachment #303781 - Flags: review?(gavin.sharp)
thanks Alexander for posting that. 
Whiteboard: needs-mic, needs-patch → needs-gavin
Comment on attachment 303781 [details] [diff] [review]
Update Price.ru search engine v.2  

Looks good, thanks!
Attachment #303781 - Flags: review?(gavin.sharp) → review+
Whiteboard: needs-gavin
Attachment 303781 [details] [diff] has been checked-in on trunk:
Checking in searchplugins/priceru.xml;
/l10n/l10n/ru/browser/searchplugins/priceru.xml,v  <--  priceru.xml
new revision: 1.5; previous revision: 1.4

Mic, Gavin, anything left to do here? I guess that we at least need to update l10n-src-verification's reference for attachment 303781 [details] [diff] [review]? What more?
I've updated l10n-src-verification to include attachment 303781 [details] [diff] [review].
don't think i have anything more left to do :)
Protocol handlers are in bug 419213, this is search only, and I think we're done here, too.

Alexander, if you agree, close this bug out and test it on some nightlies for verification?
(In reply to comment #44)
> Protocol handlers are in bug 419213, this is search only, and I think we're
> done here, too.
> 
> Alexander, if you agree, close this bug out and test it on some nightlies for
> verification?
> 
I'm considering to include http://torg.mail.ru/ as shopping search engine (see comment #4 and comment #5 for info). I've mailed them yesterday, haven't heard back yet.   
I think I'll leave this bug open for a while. 
updating for mailto for Yandex. here are the instructions from yandex team

----- Original Message -----
From: "Андрей Винокуров" <andvin@ya...team.ru>
Sent: Friday, March 14, 2008 3:08:51 PM GMT -05:00 US/Canada Eastern
Subject: Re: [Fwd: Re: mailto protocol for Firefox 3 russia]

http://mail.yandex.ru/compose?mailto=*

For the link <a href="mailto:mfinkle@mozilla.com"> the URL sent to our
server should be http://mail.yandex.ru/compose?mailto=mfinkle@mozilla.com
(it can be
http://mail.yandex.ru/compose?mailto=mailto:mfinkle@mozilla.com as well,
our server handle any address with or without 'mailto:' correctly) 
oops on my post comment #46, will move to bug 419213
sorry ;)
Update Wikipedia search engine (see rationale in Bug 425431). Also I've improved description of this search engine.
Attachment #312061 - Flags: review?(l10n)
Comment on attachment 312061 [details] [diff] [review]
Update Wikipedia search engine

r=me, please check in with comment referencing this bug and my review.
Attachment #312061 - Flags: review?(l10n) → review+
Attachment 312061 [details] [diff] has been checked-in on trunk:
Checking in searchplugins/wikipedia-ru.xml;
/l10n/l10n/ru/browser/searchplugins/wikipedia-ru.xml,v  <--  wikipedia-ru.xml
new revision: 1.4; previous revision: 1.3
done
Additional patch for Yandex search plugin (add Params elements in Suggest URL, as done for Wikipedia search plugin)
Attachment #312579 - Flags: review?(l10n)
Comment on attachment 312579 [details] [diff] [review]
Update Yandex search plugin

r=me on this clean up for the yandex plugin.
Attachment #312579 - Flags: review?(l10n) → review+
Attachment 312759 [details] [diff] has been checked-in on trunk:
Checking in searchplugins/yandex.xml;
/l10n/l10n/ru/browser/searchplugins/yandex.xml,v  <--  yandex.xml
new revision: 1.4; previous revision: 1.3
done
Add torg.mail.ru search engine to provide user choice (see comment #4 and comment #5 for info).
Original search plugin is http://torg.mail.ru/files/opensearch.xml
I did my best to convert it to Mozilla's format and made few tests, works fine for me.
Contact in Mail.ru - Igor V. Yermakov, Director of software development, email: yermakov (at) corp.mail.ru
Attachment #314119 - Flags: review?(l10n)
replacing yandex commerce search that was being considered with torg.mail.ru as it's a good shopping engine with good user experience. ok by me. 

will post official permission when we have it. currently alexander indicated (in IRC chat) that he has permission and will be sure I have copy in my inbox shortly. 
official permission from torg.mail.ru

----- Original Message -----
From: "Virin Fedor" <>
To: mic
Cc: "Alexander L. Slovesnik" 
Sent: Tuesday, April 8, 2008 9:12:38 AM GMT -05:00 US/Canada Eastern
Subject: approve for use torg in FF3

Michal Berman

At request of Alexander Slovesnik we grant you permission to use
reference to torg.mail.ru in Firefox 3.

Yours
Fedor Virin
head of research
Mail.ru

Comment on attachment 314119 [details] [diff] [review]
Add torg.mail.ru search engine

r=me.
Attachment #314119 - Flags: review?(l10n) → review+
attachment 314119 [details] [diff] [review] has been checked in trunk
Checking in searchplugins/list.txt;
/l10n/l10n/ru/browser/searchplugins/list.txt,v  <--  list.txt
new revision: 1.9; previous revision: 1.8
done
RCS file: /l10n/l10n/ru/browser/searchplugins/torgmailru.xml,v
done
Checking in searchplugins/torgmailru.xml;
/l10n/l10n/ru/browser/searchplugins/torgmailru.xml,v  <--  torgmailru.xml
initial revision: 1.1
done
I guess this bug can be marked as fixed.
Status: ASSIGNED → RESOLVED
Closed: 12 years ago
Resolution: --- → FIXED
:) :) :)
You need to log in before you can comment on or make changes to this bug.